{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/9daae56550c8883757d122c0fb1188f24ccfe7fd";
    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { nixpkgs, home-manager, ... }: {
    nixosConfigurations.akari = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [ 
        ./common.nix
        ./akari/configuration.nix 
        home-manager.nixosModules.home-manager {
          home-manager.useGlobalPkgs = true;
          home-manager.useUserPackages = true;
          home-manager.users.dan = {
            imports = [ ./akari/home.nix ];
          };
        }
      ];
    };
  };
}
